package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SEnvGasReal;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.homepage.OverviewUnorganizedMonitorsVo;
import cn.cecep.talroad.vo.homepage.RegionalOnlineMonitoringVo;
import cn.cecep.talroad.vo.query.EffectiveMonitoringRateQuery;
import cn.cecep.talroad.vo.query.SEnvGasRealQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 无组织监控数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISEnvGasRealService extends  IService<SEnvGasReal>
{
    /**
     * 查询无组织监控数据列表
     *
     * @param sEnvGasReal 无组织监控数据
     * @return 无组织监控数据集合
     */
    public List<SEnvGasReal> selectSEnvGasRealList(SEnvGasReal sEnvGasReal);

    EChartsVO getCharData(SEnvGasRealQuery sEnvGasReal);

    OverviewUnorganizedMonitorsVo overviewUnorganizedMonitors();

    EChartsVO monitoringPointWarning(EffectiveMonitoringRateQuery query);

    List<RegionalOnlineMonitoringVo> regionalOnlineMonitoring(EffectiveMonitoringRateQuery query);

    List<RegionalOnlineMonitoringVo> exceedingStandardPoints(EffectiveMonitoringRateQuery query);

    List<RegionalOnlineMonitoringVo>  exceedingIndustryPoints(EffectiveMonitoringRateQuery query);

    List<FactoryOutletStaticsVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
